#****************************************************************************
#**
#**  File     :  /units/UAL0107/UAL0107_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  Aeon Light Assault Bot Marcheur
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

--local AConstructionUnit = import('/lua/aeonunits.lua').AConstructionUnit
local CWalkingLandUnit = import('/lua/cybranunits.lua').CWalkingLandUnit
--local CStructureUnit = import('/lua/cybranunits.lua').CStructureUnit
local ADFSonicPulsarWeapon = import('/lua/aeonweapons.lua').ADFSonicPulsarWeapon

UAL0107 = Class(CWalkingLandUnit) {
    Weapons = {
        ArmLaserTurret = Class(ADFSonicPulsarWeapon) {}
    },

    OnCreate = function(self)
        CWalkingLandUnit.OnCreate(self)
		self:SetWeaponEnabledByLabel('ArmLaserTurret', true)      
    end,

    OnStopBeingBuilt = function(self,builder,layer)
        CWalkingLandUnit.OnStopBeingBuilt(self,builder,layer)
		self:SetWeaponEnabledByLabel('ArmLaserTurret', true) 
		self:SetMaintenanceConsumptionInactive()  
		--self:DisableUnitIntel('Cloak')  
        self:SetScriptBit('RULEUTC_CloakToggle', true)
        self:RequestRefreshUI()
    end,	
	
    OnIntelEnabled = function(self)
        CWalkingLandUnit.OnIntelEnabled(self)
		local bp = self:GetBlueprint()
		if self:IsIntelEnabled('Cloak') then 
			--self:EnableUnitIntel('Cloak')  
			self:SetElevation(-3) 		
			self:SetSpeedMult(bp.Physics.LandSpeedMultiplier)
			self:SetWeaponEnabledByLabel('ArmLaserTurret', false)       
		end
    end,

	OnIntelDisabled = function(self)
		CWalkingLandUnit.OnIntelDisabled(self)
		if not self:IsIntelEnabled('Cloak') then 	
		--self:DisableUnitIntel('Cloak')   
		self:SetElevation(0.5)
		self:SetSpeedMult(1)
		self:SetWeaponEnabledByLabel('ArmLaserTurret', true)    
		end
	end,
}


TypeClass = UAL0107