#****************************************************************************
#**
#**  File     :  /cdimage/units/UEL0201/UEL0201_script.lua
#**  Author(s):  John Comes, David Tomandl, Jessica St. Croix
#**
#**  Summary  :  UEF Medium Tank Script
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local TLandUnit = import('/lua/terranunits.lua').TLandUnit
local DefaultUnitsFile = import('/lua/defaultunits.lua')

local TDFGaussCannonWeapon = import('/lua/terranweapons.lua').TDFGaussCannonWeapon

UEL0108 = Class(TLandUnit) {

    Weapons = {
        MainGun = Class(TDFGaussCannonWeapon) {
			SetOnTransport = function(self, transportstate)    --AJOUT par Manimal au cas o
				self.unit:SetScriptBit('RULEUTC_WeaponToggle', false)    --AJOUT par Manimal au cas o
			end,    --AJOUT par Manimal au cas o
		},
	},
	
	
    OnStopBeingBuilt = function(self,builder,layer)
	
		TLandUnit.OnStopBeingBuilt(self,builder,layer)
		
		self:DisableShield()    --MODIF par Manimal
		self:SetMaintenanceConsumptionInactive()
		
		self:SetWeaponEnabledByLabel('MainGun', false)
		
		IssueClearCommands({self})
		self:AddCommandCap('RULEUCC_Move')
		self:RemoveCommandCap('RULEUCC_Attack')
		
		self:SetSpeedMult(1.0)
		self:SetTurnMult(1.0)
	end,
	
	
    OnCreate = function(self)
        local bp = self:GetBlueprint()
		
        TLandUnit.OnCreate(self)
		
        if not self.AnimationManipulator then
            self.AnimationManipulator = CreateAnimator(self)
            self.Trash:Add(self.AnimationManipulator)
        end
        self.AnimationManipulator:PlayAnim(bp.Display.AnimationActivate, false):SetRate(0)
		
		self:DisableShield()    --MODIF par Manimal
		self:SetMaintenanceConsumptionInactive()
		
        self:SetWeaponEnabledByLabel('MainGun', false)
		
		IssueClearCommands({self})
		self:AddCommandCap('RULEUCC_Move')
		self:RemoveCommandCap('RULEUCC_Attack')
		
		self:SetSpeedMult(1.0)
		self:SetTurnMult(1.0)
    end,
	
        
    OnScriptBitSet = function(self, bit)
        TLandUnit.OnScriptBitSet(self, bit)
        if bit == 1 then
    	    if self.AnimationManipulator then
			
                self:SetUnSelectable(true)
				
				IssueClearCommands({self})
				self:RemoveCommandCap('RULEUCC_Move')
				self:AddCommandCap('RULEUCC_Attack')
			
				self:SetSpeedMult(0)
				self:SetTurnMult(0)
				--self:SetImmobile(true)
			
                self.AnimationManipulator:SetRate(1.5)   
                self:ForkThread(function()
                    WaitSeconds(self.AnimationManipulator:GetAnimationDuration()*self.AnimationManipulator:GetRate())              
                    self:SetUnSelectable(false)
                end)
				
				self:CreateShield()    --MODIF Par Manimal= Crer le Shield APRES retour en Mode Fixe
				##ToggleScriptBit(self, 0, true)   -- inspiration de orders.lua
				
				self:SetMaintenanceConsumptionActive()
			
				self:SetWeaponEnabledByLabel('MainGun', true)
				
			--else -- QUEL COMPORTEMENT PAR DEFAUT SI AUCUN self.AnimationManipulator ?
            end 		
    	end
    end,
    
    OnScriptBitClear = function(self, bit)
        TLandUnit.OnScriptBitClear(self, bit)
        if bit == 1 then 
    	    if self.AnimationManipulator then
			
                self:SetUnSelectable(true)
				
                IssueClearCommands({self})
                self:AddCommandCap('RULEUCC_Move')
		    	self:RemoveCommandCap('RULEUCC_Attack')
				
		    	self:SetSpeedMult(1.0)
                self:SetTurnMult(1.0) 
				--self:SetImmobile(false)
					
				self:DisableShield()    --MODIF par Manimal = DSACTIVER le Shield AVANT retour en Mode Mobile
				##ToggleScriptBit(self, 0, false)   -- inspiration de orders.lua pour usage plus pouss :-p
				
				self:SetMaintenanceConsumptionInactive()
				
                self.AnimationManipulator:SetRate(-1.5)
                self:ForkThread(function()
                    WaitSeconds(self.AnimationManipulator:GetAnimationDuration()*self.AnimationManipulator:GetRate())
                    self:SetUnSelectable(false)
                end)
				
				self:SetWeaponEnabledByLabel('MainGun', false)
				
			--else -- QUEL COMPORTEMENT PAR DEFAUT SI AUCUN self.AnimationManipulator ?
            end  
    	end
    end,
	
	
}

TypeClass = UEL0108
